// JavaScript Document
$(function(){
    var Comment = window.Comment || {};
    //android,ios
    Comment.sys = '{whatsys}';
    Comment.gotoComment = function(){
        scrollTo(0,getOffsetTop(document.getElementById('comment')));
    }
    
    Comment.update = function(data,operation){
    	Comment.jsLog("---------------"+data);
        document.getElementById('comment').getElementsByClassName('loading')[0].style.display='none';
        Comment.jsLog(operation);
        switch(operation){
            case 'refresh':document.getElementsByClassName('comment_list')[0].innerHTML = Comment.makeHTML(data,1);break;
            case 'append':document.getElementsByClassName('comment_list')[0].innerHTML += Comment.makeHTML(data,1);break;
            default:alert('non-existing operation!');break;
        }
    }
    
    
    Comment.loadGameRelated = function(game) {
    	//game = decodeURI(game);
  	   document.getElementById('game_related_area').innerHTML = game;
	}
    Comment.makeHTML = function(dataJSON,canReply){
        var tmpl = '';
        var btn_reply = '';
        //从json中获取评论数据
        var data = dataJSON.comments;
        /* if(data.length == 1){//可以处理加载失败
        	if(data[0].content.localeCompare('fail') == 0){
        		return '<div class="no_comment">fail</div>';
        	}
        } */
        //只有第一次调用收到空评论才显示沙发寂寞
        if(data.length == 0){
            return '<div class="no_comment">暂时还没有评论哦~快来抢沙发~</div>';
        }
        
        for (var i = 0; i < data.length; i++) {
        	if(data[i].ip_location == ''){
        		tmpl += '<div class="comment_item"><div><h3 class="comment_name">'+data[i].nickname+'<span class="comment_address"></span></h3></div><div class="comment_time">'+Comment.getTimeString(data[i].create_time)+'</div><p class="comment_content">'+data[i].content+'</p></div>';
        	}else{
        		tmpl += '<div class="comment_item"><div><h3 class="comment_name">'+data[i].nickname+'<span class="comment_address">【'+data[i].ip_location+'】</span></h3></div><div class="comment_time">'+Comment.getTimeString(data[i].create_time)+'</div><p class="comment_content">'+data[i].content+'</p></div>';
        	}
            //tmpl += '<div class="comment_item"> <div class="comment_content">'+data[i].content+'</div> <h4><ins datetime="'+Comment.getTimeString(data[i].create_time)+'">'+Comment.getTimeString(data[i].create_time)+'</ins>'+data[i].nickname+'</h4> </div>'
        };
        return tmpl;
    }
    
    Comment.getTimeString = function(interval) {
        var serverTime = new Date(interval);
        var serverYear = serverTime.getFullYear();
        var serverMonth = serverTime.getMonth()+1;
        var serverDay = serverTime.getDate();
        var serverHour = serverTime.getHours();
        var serverMinutes = serverTime.getMinutes();
        var serverSeconds = serverTime.getSeconds();
        
        var timeValue1 = ((serverHour < 10) ? "0" : "") + serverHour+"";
        timeValue1 += ((serverMinutes < 10) ? ":0" : ":") + serverMinutes+"";
        timeValue1 += ((serverSeconds < 10) ? ":0" : ":") + serverSeconds+"";

        var timeValue2 = serverYear;
        timeValue2 += ((serverMonth < 10) ? "-0" : "-") + serverMonth+"";
        timeValue2 += ((serverDay < 10) ? "-0" : "-") + serverDay+"";

        var timetext=timeValue2+" "+timeValue1
        return timetext;
    }
        
    Comment.getChineseTimeString = function(interval) {
    	var now = new Date();
        var nowYear = now.getFullYear();
        var nowMonth = now.getMonth()+1;
        var nowDay = now.getDate();
        var nowHour = now.getHours();
        var nowMinutes = now.getMinutes();
        
        interval = now.getTime()-serverTime.getTime();
        if(0<=interval && interval< 60*1000){
			 	return "刚刚";
		 	}else if(60*1000<=interval && interval<60*60*1000 ){
			 	return parseInt(interval/(60*1000))+"分钟前";
		 	}else if(60*60*1000<=interval && interval<24*60*60*1000 ){
			 	return parseInt(interval/(60*60*1000))+"小时前";
		 	}else if(((24*60*60*1000<=interval)&&interval<365*24*60*60*1000) || 0>interval){
		 		return serverMonth + '月' + serverDay + '日';
		 	}else {
		 		//(interval>365*24*60*60*1000)
		 	 	return serverYear + '年';
		 	}
        if(interval > 0)
        {
            //年相等
            if(nowYear == serverYear)
            {
                //当天
                if(nowMonth == serverMonth && nowDay == serverDay)
                {
                	if(0<=interval && interval< 60*1000){
           			 	return "刚刚";
           		 	}else if(60*1000<=interval && interval<60*60*1000 ){
           			 	return parseInt(interval/(60*1000))+"分钟前";
           		 	}else if(60*60*1000<=interval && interval<24*60*60*1000 ){
           			 	return parseInt(interval/(60*60*1000))+"小时前";
           		 	}
                }
                else //超过1天
                {
                    return serverMonth + '月' + serverDay + '日';
                }
            }
            else //超过1年
            {
                return serverYear + '年';
            }
        }
        return serverMonth + '月' + serverDay + '日';
    }
    
    //objectC 调用协议
    function oc_cmd(method,args){
        var cmdStr = 'oc::'+method+'('+args+')';
        window.location.href = cmdStr;
        return false;
    }
    function loadComment(page){
        if (Comment.sys == 'android'){
            Comment.load(page);
        }else if (Comment.sys == 'ios'){
            oc_cmd('load',page.toString());
        }
    }
    loadComment(1);
});